/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.fs.tests.methods;

import java.io.File;

import com.is2t.testsuite.support.CheckHelper;
import com.microej.fs.tests.helpers.FileSystemCleaner;

/**
 * Tests for {@link File#compareTo(File)}.
 *
 * @author pgradot
 *
 */
public class TestCompareTo {

	/**
	 * Entry point of the program to execute all theses tests.
	 *
	 * @param args
	 *            not used
	 */
	public static void main(String[] args) {
		FileSystemCleaner.cleanFS();
		CheckHelper.startCheck(TestCompareTo.class);
		test001();

		CheckHelper.endCheck(TestCompareTo.class);
	}

	/**
	 * Tests for the nominal cases.
	 *
	 * Alphabetic case doesn't come into play here so these tests are likely to be independent from the underlying system.
	 */
	public static void test001() {
		File reference = new File("file/R");

		File lower = new File("file/L");
		CheckHelper.check(TestCompareTo.class, reference + " should be greater than " + lower, reference.compareTo(lower) > 0);

		File equal = new File("file/R");
		CheckHelper.check(TestCompareTo.class, reference + " should equal " + equal, reference.compareTo(equal) == 0);

		File greater = new File("file/Z");
		CheckHelper.check(TestCompareTo.class, reference + " should be lower than " + greater, reference.compareTo(greater) < 0);
	}

}
