/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.fs.tests.methods;

import java.io.File;

import com.is2t.testsuite.support.CheckHelper;
import com.microej.fs.tests.helpers.FileSystemCleaner;

/**
 * Tests for {@link File#getAbsolutePath()}.
 *
 * @author pgradot
 *
 */
public class TestGetAbsolutePath {

	/**
	 * Entry point of the program to execute all theses tests.
	 *
	 * @param args
	 *            not used
	 */
	public static void main(String[] args) {
		FileSystemCleaner.cleanFS();
		CheckHelper.startCheck(TestGetAbsolutePath.class);
		test001();

		CheckHelper.endCheck(TestGetAbsolutePath.class);
	}

	/**
	 * The property 'user.dir' should be returned as the absolute path of the empty abstract pathname.
	 */
	public static void test001() {
		File f = new File("");
		String userDir = System.getProperty("user.dir");
		String absolute = f.getAbsolutePath();
		CheckHelper.check(TestGetAbsolutePath_Windows.class, "The property 'user.dir' should be returned as the absolute path of the empty abstract pathname",
				absolute.equals(userDir));
	}
}
