/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.fs.tests.methods;

import java.io.File;

import com.is2t.testsuite.support.CheckHelper;
import com.microej.fs.tests.helpers.FileSystemCleaner;

/**
 * Tests for {@link File#getName()} on Windows.
 *
 * @author pgradot
 *
 */
public class TestGetName_Windows {

	/**
	 * Entry point of the program to execute all theses tests.
	 *
	 * @param args
	 *            not used
	 */
	public static void main(String[] args) {
		FileSystemCleaner.cleanFS();
		System.out.println("*** TestGetName_Windows ***");
		System.out.println(
				"This test can pass only if your platform has a WinNT file system. If your platform doesn't have a WinNT file system, you can safely exclude this test from the tests set.");
		CheckHelper.startCheck(TestGetName_Windows.class);
		test001();

		CheckHelper.endCheck(TestGetName_Windows.class);
	}

	private static final String EMPTY_STRING = "";


	/**
	 * 'C:\' should result in the empty string.
	 */
	public static void test001() {
		File f = new File("C:/");
		CheckHelper.check(TestGetName.class, "'C:\' should result in the empty string", EMPTY_STRING.equals(f.getName()));
	}

	// FIXME add UNC path for Windows
}