/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.fs.tests.methods;

import java.io.File;

import com.is2t.testsuite.support.CheckHelper;
import com.microej.fs.tests.helpers.FileSystemCleaner;

/**
 * Test {@link File#listRoots()}. This test assumes that there
 * is at least one valid root.
 */
public class TestListRoot02 {

	public static void main(String[] args) {
		FileSystemCleaner.cleanFS();
		CheckHelper.startCheck(TestListRoot02.class);
		File[] roots = File.listRoots();

		boolean atLeastOneRootFound = false;

		if(roots != null){
			for(File root : roots){
				if(root.exists()){
					atLeastOneRootFound = true;
				}
				TestListRoot01.testRoot(TestListRoot02.class, root);
			}
		}
		else {
			CheckHelper.check(TestListRoot01.class, "Cannot evaluate roots", false);
		}

		CheckHelper.check(TestListRoot01.class, "No root found", atLeastOneRootFound);

		CheckHelper.endCheck(TestListRoot02.class);
	}

}
