/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.fs.tests.methods;

import java.io.File;

import com.is2t.testsuite.support.CheckHelper;
import com.microej.fs.tests.helpers.FileSystemCleaner;

/**
 * Tests for {@link File#toString()}.
 *
 * @author pgradot
 *
 */
public class TestToString {

	/**
	 * Entry point of the program to execute all theses tests.
	 *
	 * @param args
	 *            not used
	 */
	public static void main(String[] args) {
		FileSystemCleaner.cleanFS();
		CheckHelper.startCheck(TestToString.class);
		test001();

		CheckHelper.endCheck(TestToString.class);
	}

	/**
	 * toString() and getPath() should return the same string.
	 */
	public static void test001() {
		File f = new File("/folder/A\\B//folderAgain" + File.separator + "subfolder" + File.separatorChar + "name");

		String getPath = f.getPath();
		String toString = f.toString();

		CheckHelper.check(TestToString.class, "toString() and getPath() should return the same string", getPath.equals(toString));
	}

}
